Page MenuHomePhabricator

[[Wikimedia:Pageviews-api-incomplete-data/en]] i18n issue
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 20 2016, 9:57 AM
Purodha updated the task description. (Show Details)May 20 2016, 9:57 AM
MusikAnimal edited projects, added Tool-Pageviews; removed Tools.Jun 16 2016, 7:27 PM

To clarify: saying that $1 is always plural means nothing for the languages where there are multiple plural rules. If $1 has a limited set of possible values, the first step is to state what these are.

Nemo_bis triaged this task as Medium priority.Jul 25 2016, 10:05 AM

Unless anything is special here, using the usual PLURAL will do.

In qqq it states $1 is "the list of dates lacking data". I have further clarified that this value is not numerical, so I don't think PLURAL will work. The pluralization could be off, even for English. E.g. it should say "Some data is not yet available for the date:" when there is only one date, yet it says "dates". From one perspective always using "dates" is favourable as it implies there could be more than one, even if there's only one in that particular instance. I understand perhaps this is not as clear in other languages.

I could add another parameter $2 that represents the number of dates being passed in with $1, then you would be able to use PLURAL. How does that sound? I worry this may be confusing and some translators may try to include $2 in the actual message.

I could add another parameter $2 that represents the number of dates being passed in with $1, then you would be able to use PLURAL. How does that sound?

Good.

I worry this may be confusing and some translators may try to include $2 in the actual message.

I doubt the risk is that high. This is the standard way to deal with lists, translators are used to it.

MusikAnimal closed this task as Resolved.Jul 26 2016, 7:31 PM
MusikAnimal claimed this task.

Should be all set. Let me know if you need anything else.

MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.Sep 8 2016, 5:55 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 6 2018, 12:16 PM